<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/icon"
        android:layout_width="64dp"
        android:layout_height="64dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="8dp"
        android:layout_marginBottom="8dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent" />

    <TextView
        android:id="@+id/game_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="4dp"
        app:layout_goneMarginEnd="16dp"
        android:textSize="14sp"
        android:textColor="@color/text_primary"
        android:ellipsize="end"
        android:maxLines="1"
        app:layout_constraintVertical_chainStyle="packed"
        app:layout_constraintStart_toEndOf="@id/icon"
        app:layout_constraintEnd_toStartOf="@id/subtitle"
        app:layout_constraintTop_toTopOf="@id/icon"
        app:layout_constraintBottom_toTopOf="@id/time"
        tools:text="崩坏：星穹铁道" />

    <TextView
        android:id="@+id/time"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="16dp"
        android:layout_marginTop="7dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textSize="11sp"
        android:textColor="@color/text_tertiary"
        tools:text="11:35  官方专服｜征服者128811:35"
        app:layout_constraintStart_toEndOf="@id/icon"
        app:layout_constraintEnd_toStartOf="@id/status"
        app:layout_constraintTop_toBottomOf="@id/game_name"
        app:layout_constraintBottom_toBottomOf="@id/icon" />

    <TextView
        android:id="@+id/subtitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingTop="2dp"
        android:paddingBottom="2dp"
        android:paddingStart="4dp"
        android:paddingEnd="4dp"
        android:layout_marginEnd="16dp"
        tools:text="测试版"
        android:textColor="@color/text_secondary"
        android:textSize="10sp"
        android:visibility="gone"
        android:background="@drawable/bg_shape_f5_radius_2"
        app:layout_constraintStart_toEndOf="@id/game_name"
        app:layout_constraintEnd_toStartOf="@id/status"
        app:layout_constraintTop_toTopOf="@id/game_name"
        app:layout_constraintBottom_toBottomOf="@id/game_name"/>

    <TextView
        android:id="@+id/status"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="16dp"
        app:layout_constraintTop_toTopOf="@id/icon"
        app:layout_constraintBottom_toBottomOf="@id/icon"
        app:layout_constraintEnd_toEndOf="parent"
        android:textSize="12sp"
        tools:textColor="@color/text_theme"
        tools:text="待提醒" />

</androidx.constraintlayout.widget.ConstraintLayout>